﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.IO.IOOperation;

namespace System.ErrorLog
{
    public interface ErrorLog
    {
        void Insert(Exception ex);
    }

    public class ErrorLogToFile : ErrorLog
    {
        public static string LogPath { get; set; }

        private static ErrorLog log = new ErrorLogToFile();

        public static void InsertLog(Exception ex)
        {
            log.Insert(ex);
        }

        #region ErrorLog Members

        public void Insert(Exception ex)
        {
            FileOperation.Append(LogPath, DateTime.Now.ToString() + "\t" + ex.Message + "\t" + ex.Source + "\r\n" + ex.StackTrace + "\r\n");
        }

        #endregion
    }


}
